class CreateBulletinsDistributionRecipients < ActiveRecord::Migration[7.0]
  def change
    create_table :bulletins_distribution_recipients do |t|
      t.bigint :distribution_id, null: false
      t.bigint :recipient_id, null: false

      t.timestamps
    end
    # Rails's autogenerated index name, index_bulletins_distribution_recipients_on_distribution_id_and_recipient_id, is too long
    add_index :bulletins_distribution_recipients, [:distribution_id, :recipient_id], unique: true, name: "idx_distribution_recipients_on_distribution_id_and_recipient_id"
  end
end
